org.richfaces.renderkit.html

## Class MenuGroupRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.html.MenuGroupRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    MenuGroupRenderer

      public class MenuGroupRendererBase
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuGroupRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `collectInlineStyles(javax.faces.context.FacesContext context, UIMenuItem menuItem, boolean isOnmouseover)`
    `protected java.lang.Class` | `getComponentClass()`
    `protected javax.faces.component.UIComponent` | `getParentMenu(javax.faces.context.FacesContext context, UIMenuGroup menuGroup)`
    `boolean` | `getRendersChildren()`
    `void` | `initializeResources(javax.faces.context.FacesContext context, UIMenuGroup menuGroup)`
    `void` | `initializeStyleClasses(javax.faces.context.FacesContext context, UIMenuGroup menuGroup)`
    `protected java.lang.String` | `processInlineStyles(javax.faces.context.FacesContext context, UIMenuGroup menuGroup, boolean isOnmouseover)` Deprecated.

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuGroupRendererBase

          public MenuGroupRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### initializeStyleClasses

          public void initializeStyleClasses(javax.faces.context.FacesContext context,
                                    UIMenuGroup menuGroup)

    - #### initializeResources

          public void initializeResources(javax.faces.context.FacesContext context,
                                 UIMenuGroup menuGroup)
                                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getParentMenu

          protected javax.faces.component.UIComponent getParentMenu(javax.faces.context.FacesContext context,
                                                        UIMenuGroup menuGroup)

    - #### collectInlineStyles

          protected java.lang.String collectInlineStyles(javax.faces.context.FacesContext context,
                                             UIMenuItem menuItem,
                                             boolean isOnmouseover)

    - #### processInlineStyles

          @Deprecated
          protected java.lang.String processInlineStyles(javax.faces.context.FacesContext context,
                                                        UIMenuGroup menuGroup,
                                                        boolean isOnmouseover)

      Deprecated.

Copyright © 2013. All Rights Reserved.